<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2007 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|=============================================|
| @articles_look1.0:                          |
| new version modified by @ster (Stefan Noss) |
| eMail: webmaster@edsterathome.de            |
| web: www.edsterathome.de                    |
|---------------------------------------------|
| Vorversionen:                               |
| Artur Wiebe und Fabio Niephaus              |
|=============================================|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 3)  |
+--------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."articles.php";

add_to_title($locale['global_200'].$locale['400']);

// Fehlermeldungstext fr Kategorien ohne Beitrge/Artikel
$fn_fehler = "".$locale['416']."";

if (isset($_GET['article_id']) && isnum($_GET['article_id'])) {
        $result = dbquery(
                "SELECT ta.*,tac.*, tu.user_id,user_name FROM ".DB_ARTICLES." ta
                INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
                LEFT JOIN ".DB_USERS." tu ON ta.article_name=tu.user_id
                WHERE ".groupaccess('article_cat_access')." AND article_id='".$_GET['article_id']."' AND article_draft='0'"
        );
        if (dbrows($result)) {
                require_once INCLUDES."comments_include.php";
                require_once INCLUDES."ratings_include.php";
                $data = dbarray($result);
                if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
                if ($_GET['rowstart'] == 0) { $result = dbquery("UPDATE ".DB_ARTICLES." SET article_reads=article_reads+1 WHERE article_id='".$_GET['article_id']."'"); }
                $article = stripslashes($data['article_article']);
                if (ereg('<--PAGEBREAK-->', $article)) {
                        $article = explode("<--PAGEBREAK-->", $article);
                } else {
                        $article = explode("<!-- pagebreak -->", $article);
                }
                $pagecount = count($article);
                $article_subject = stripslashes($data['article_subject']);
                $article_info = array(
                        "article_id" => $data['article_id'],
                        "user_id" => $data['user_id'],
                        "user_name" => $data['user_name'],
                        "article_date" => $data['article_datestamp'],
                        "article_breaks" => $data['article_breaks'],
                        "article_comments" => dbcount("(comment_id)", DB_COMMENTS, "comment_type='A' AND comment_item_id='".$data['article_id']."'"),
                        "article_reads" => $data['article_reads'],
                        "article_allow_comments" => $data['article_allow_comments']
                );
                add_to_title($locale['global_201'].$article_subject);
                render_article($article_subject, $article[$_GET['rowstart']], $article_info);
                if ($pagecount > 1) {
                        echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 1, $pagecount, 3, FUSION_SELF."?article_id=".$_GET['article_id']."&amp;")."\n</div>\n";
                }
                if ($data['article_allow_comments']) { showcomments("A", DB_ARTICLES, "article_id", $_GET['article_id'], FUSION_SELF."?article_id=".$_GET['article_id']); }
                if ($data['article_allow_ratings']) { showratings("A", $_GET['article_id'], FUSION_SELF."?article_id=".$_GET['article_id']); }
        } else {
                redirect(FUSION_SELF);
        }
}
// Anzeige der Kategorien
elseif (!isset($_GET['cat_id']))
{
	opentable($locale['400']);
	$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS." WHERE ".groupaccess('article_cat_access')." ORDER BY article_cat_name");
	$rows = dbrows($result);
	$num1 = dbcount("(article_cat)", DB_ARTICLES);
	
	if ($rows != 0)
	{
	echo "<div align='right' class='very-small'><b>".$locale['410']." $num1 ".$locale['411']."</b></div><br>";
		
		while($data = dbarray($result))
		{
		    echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
		    
		    $num = dbcount("(article_cat)", DB_ARTICLES, "article_cat='".$data['article_cat_id']."'");
		    echo "<tr>";
		    echo "<td align='left' valign='top' width='40%' class='tbl2'><a href='".FUSION_SELF."?cat_id=".$data['article_cat_id']."'><font size=2><b>".$data['article_cat_name']."</b></font></a></td>";
		    	if ($num == 1)
		    	{echo "<td class='tbl2' align='right'><span class='small2'><right>$num ".$locale['412']."</span></td>";}
				elseif ($num == "0")
				{echo "<td class='tbl2' align='right'><span class='small2'><right>".$locale['413']."</span></td>";}
				else
				{echo "<td class='tbl2' align='right'><span class='small2'>$num ".$locale['411']."</span></td>";}
		    echo "</tr>";
			
			echo "<tr>";
		    	if($data['article_cat_description'] != "") 
				{
				echo "<td class='tbl1'><span class='small'>".$data['article_cat_description']."</span></td>";
				}

		   	// Anzeige der Beitrge der Kategorie
   			if ($num == "0")
			{
			echo "<td class='tbl1'><span class='verysmall'<i>$fn_fehler</i></span></td>";
			}
			else
			{
		  	echo "<td valign='top' width='80%' class='tbl1'>";
		   	$cat_id = $data['article_cat_id'];
		   	$result2 = dbquery("SELECT * FROM ".DB_ARTICLES." WHERE article_cat='$cat_id' ORDER BY article_datestamp DESC LIMIT 0,5");
		   		while($data2 = dbarray($result2))
		   		{
				$article_subject = trimlink($data2['article_subject'], 50);
				echo "<img src='".THEME."images/bullet.gif' alt=''> <a href='readarticle.php?article_id=".$data2['article_id']."' title='".$data2['article_subject']."'>$article_subject</a>";
				echo "<br>\n";
		   		}
		    echo "</td></tr>\n";
			}
		echo "</table>\n";
		tablebreak();
		
		// Ende der "groen" while-Anweisung
		}
	
	// Ende der if-Anweisung "$rows!=0"
	}
	else
	{
	echo "<center><br>\n".$locale['401']."<br><br>\n</center>\n";
	}

closetable();

// Ende der if-Anweisung "!isset($cat_id)"
}
else
{
$cat_id = $_GET['cat_id'];
// Anzeige aller Beitrge/Artikel einer Kategorie
$res = 0;

if (!isNum($cat_id)) redirect(FUSION_SELF);
	
$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS." WHERE article_cat_id='$cat_id'");
	
	if (dbrows($result) != 0)
	{
	$cdata = dbarray($result);
	if (checkgroup($cdata['article_cat_access']))
	{
	$res = 1;
	opentable($locale['400'].": ".$cdata['article_cat_name']);
	$rows = dbcount("(article_id)", DB_ARTICLES, "article_cat='$cat_id'");
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
		if($rows != 0)
		{
	 	$query = "SELECT ta.*, user_id, user_name"
		. " FROM ".DB_ARTICLES." ta"
		. " LEFT JOIN ".$db_prefix."users tu"
		. " ON ta.article_name=tu.user_id"
		. " WHERE article_cat='$cat_id'"
		. " ORDER BY article_datestamp DESC";
		$result = dbquery($query);
		$numrows = dbrows($result); $i = 1;
			while ($data = dbarray($result))
			{
				if($data['article_datestamp']+604800 > time()+($settings['timeoffset']*3600))
				{$new = "&nbsp;<span class='small'>".$locale['402']."</span>";}
				else {$new = "";}
			
			//$snippet = n12br(stripslashes($data['article_snippet']));
			$snippet = nl2br(stripslashes($data['article_snippet']));
			
			echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
			echo "<tr>";
			echo "<td class='tbl2'><a href='readarticle.php?article_id=".$data['article_id']."'><font size='2'><b>".$data['article_subject']."</b></font></a>$new</td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td class='tbl1'>$snippet</td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td class='tbl1' align='right'>
            <span class='small'>
            
            ".$locale['040']." ".$locale['041'].showdate("longdate", $data['article_datestamp']) . " (".$data['article_reads']." ".$locale['414'].")
			</td>";
			echo "</tr>";
			echo "</table>\n";
			tablebreak();
			}
			    closetable();
			    if ($rows > 15) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,15,$rows,3,FUSION_SELF."?cat_id=$cat_id&amp;")."\n</div>\n";
				}
				else
				{
				echo "<center>".$locale['403']."</center>\n";
				closetable();
				}
		}
	}
	if ($res == 0) redirect(FUSION_SELF);
}

echo "<p align='center'><a href='javascript:history.back()'><b>".$locale['415']."</b></a></p>";

require_once THEMES."templates/footer.php";
?>
